/*
 * button.h
 *
 *  Created on: 08.09.2016
 *      Author: dehottgw
 */

#ifndef BUTTON_H_
#define BUTTON_H_


#include <stdint.h>

extern const uint32_t BUTTON_CYCLE;

typedef enum {
  BUTTONS_FIRST,
  BUTTON_START_TIMER = BUTTONS_FIRST,
  BUTTONS_END
} tButton;



void buttonInit(void *handleArg);
void buttonExec(void *handleArg);
void buttonRegister(void (*action)(void *), void *actionArg, tButton button);

#endif /* BUTTON_H_ */
